# Get Quote

Before initializing a buy transaction, you might want to know what price the token is being traded at. Make a **GET** request to the following endpoint.

{% code overflow="wrap" %}

```url
https://api.localramp.co/v1/transaction/buy/quote?sender_currency=NGN&receiver_currency=USDT_BSC&country_code=NG
```

{% endcode %}

The request takes `sender_currency` ,`receiver_currency` and `country_code` as query params.&#x20;

With the following header

```
x-auth-token: <PUBLIC_KEY>
```

If the API call is successful, LocalRamp returns the following response:

```javascript
{
    "status": "success",
    "data": {
        "rate": {
            "sender_currency": "NGN",
            "receiver_currency": "USDC_BSC",
            "partner_fee": {
                "type": "PERCENT",
                "fee": 0
            },
            "processor_fee": {
                "type": "FLAT",
                "fee": "100.00"
            },
            "network_fee": "1.14510001",
            "exchange_rate": "754.6558",
            "market": "BUY"
        },
        "info": {
            "partner_fee": "Merchant fee in percent",
            "processor_fee": "Fee LocalRamp Charges (NGN)",
            "network_fee": "Fee required to send coin on blockchain (USDC_BSC) ~Estimate",
            "exchange_rate": "Price LocalRamp will buy your crypto at"
        }
    }
}
```

`processor_fee` is what LocalRamp charges in local currency fiat i.e NGN, GHS. It will be deducted from whatever the user sends.

`network_fee` is an estimate of the blockchain network fees. Unit is in `receiver_currency` i.e BTC, USDT

`exchange_rate` is the purchase price of the coin.

`partner_fee` refers to extra fees you might wish to charge your users. This is automatically infused into your rates. Earnings from partner fees are sent straight to your USDT wallet weekly. To set this up, reach out to **<business@localramp.co>**

#### Rate Calculation

To calculate how much you would eventually receive for any sender amount

{% hint style="info" %}
**receiver\_amount** = ((**sender\_amount** - `processor_fee`) / `exchange_rate`) - `network_fee`
{% endhint %}

{% hint style="success" %}
Rates for our on-ramp are **locked**, so you should expect to receive the **exact** amounts (except in rare cases with high volatility of asset)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.localramp.co/crypto-on-ramp/get-quote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
